package main

import (
	"math/rand"
	"time"

	_ "games.yol.com/win88"
	"mongo.games.com/goserver/core"
	_ "mongo.games.com/goserver/core/i18n"
	"mongo.games.com/goserver/core/module"
	"mongo.games.com/goserver/core/schedule"
)

func main() {
	rand.Seed(time.Now().Unix())
	defer core.ClosePackages()
	core.LoadPackages("config.json")

	//启动定时任务
	schedule.StartTask()

	//启动业务模块
	waiter := module.Start()
	waiter.Wait("main()")
}
